<!DOCTYPE html>
<html lang="fr" dir="ltr">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width,initial-scale=1">
    <meta name="description" content="<?= $site->metadescrition() ?>">
    <title><?= $site->title() ?></title>
    <?php if ($site->files()->template('favicon')->first()): ?>
      <link rel="icon" type="<?= $site->files()->template('favicon')->first()->mime() ?>" href="<?= $site->files()->template('favicon')->first()->url() ?>">
    <?php endif; ?>
    <link rel="stylesheet" href="<?= $site->url() ?>/assets/css/reset.css">
    <link rel="stylesheet" href="<?= $site->url() ?>/assets/css/master.css">
  </head>
  <body class="gabarit-<?= $page->template() ?> name-<?= $page->slug() ?>">

    <header>
      <?php
        if (isset($_SERVER['HTTP_REFERER'])) {
          $backUrl = $_SERVER['HTTP_REFERER'];
        } else {
          $backUrl = $site->url();
        }
      ?>
      <nav>
        <?php if ($page->isHomePage()): ?>
          <a href="<?= $site->url() ?>"><?= $site->title() ?></a>
        <?php else: ?>
          <a href="<?= $backUrl ?>">←</a>
        <?php endif; ?>
        <?php if (isset($tags)): ?>
          <?php foreach ($tags as $tag): ?>
              <?php $tagUrl = urlencode($tag); ?>
              <a <?php e((param('tag') == $tagUrl), ' class="active"') ?> href="<?= url($page->url(), ['params' => ['tag' => $tagUrl]]) ?>">
                <?= html($tag) ?>
              </a>
          <?php endforeach; ?>
        <?php endif; ?>
        <?php if ($page->isHomePage()): ?>
          <?php foreach ($site->children()->listed() as $link): ?>
            <a href="<?= $link->url() ?>"><?= $link->title() ?></a>
          <?php endforeach; ?>
        <?php endif; ?>
      </nav>
    </header>
    <main>
